From: "Roberto A. Foglietta" <roberto.foglietta@gmail.com>
To: Henning Schild <henning.schild@siemens.com>
Cc: isar-users@googlegroups.com
Subject: Re: [PATCH 1/1] bugfix: isar-exclude-docs delete man folders but some packages expect that folders
Date: Fri, 23 Sep 2022 16:18:12 +0200 [thread overview]
Message-ID: <CAJGKYO4DsO9JVHrQ9p2auP67crXKUTz5nFMu+CvE8HhbgjcijQ@mail.gmail.com> (raw)
In-Reply-To: <20220923140156.517e5e77@md1za8fc.ad001.siemens.net>
[-- Attachment #1.1: Type: text/plain, Size: 938 bytes --]
Il Ven 23 Set 2022, 14:02 Henning Schild <henning.schild@siemens.com> ha
scritto:
>
> Can you please send the patch with git send-email so it can be reviewed
> and merged? I think i would make it two patches ... and that switches
> to "find -type f exec rm", and a second one that switches to "! -type
> d" ... but both finds not just one.
>
Dear Henning,
thanks for the consideration. Unfortunately at the moment, I can just
attach the file patch to this e-mail. It is the 0001.
Plus, I am going to attach other two patches that I have sent in this list
in the last week. It is the best that I can provide you. If not enough, I
will try to do something better in the week end.
Unfortunately, I gave a company win laptop and I run Linux on a unsecure
machine on my desktop thus any personal configuration would be not
acceptable. That's my life for now.
Best, R-
> --
Roberto A. Foglietta
+49.176.274.75.661
+39.349.33.30.697
[-- Attachment #1.2: Type: text/html, Size: 1724 bytes --]
[-- Attachment #2: module.inc.patch --]
[-- Type: text/x-diff, Size: 1563 bytes --]
commit a1200eb45dd833f0d42e162c46080ecdd1dd3900
Author: Roberto A. Foglietta <roberto.foglietta@gmail.com>
Date: Sun Sep 18 22:43:25 2022 +0200
aesthetic changes in module.inc
Signed-off-by: Roberto A. Foglietta <roberto.foglietta@gmail.com>
diff --git a/meta/recipes-kernel/linux-module/module.inc b/meta/recipes-kernel/linux-module/module.inc
index b20ec32..0a722b6 100644
--- a/meta/recipes-kernel/linux-module/module.inc
+++ b/meta/recipes-kernel/linux-module/module.inc
@@ -33,6 +33,6 @@ do_prepare_build() {
cp -r ${WORKDIR}/debian ${S}/
for module in ${AUTOLOAD}; do
- echo "echo $module >> /etc/modules" >> ${S}/debian/postinst
- done
+ echo "echo $module >> /etc/modules"
+ done >> ${S}/debian/postinst
}
commit d4531bc38709627a5609d82fd223c7be5889f058
Author: Roberto A. Foglietta <roberto.foglietta@gmail.com>
Date: Sun Sep 18 21:43:57 2022 +0200
remove previous debian folder in linux-module/module.inc
Signed-off-by: Roberto A. Foglietta <roberto.foglietta@gmail.com>
diff --git a/meta/recipes-kernel/linux-module/module.inc b/meta/recipes-kernel/linux-module/module.inc
index b20ec32..b04f5f1 100644
--- a/meta/recipes-kernel/linux-module/module.inc
+++ b/meta/recipes-kernel/linux-module/module.inc
@@ -30,6 +30,7 @@ TEMPLATE_FILES = "debian/control.tmpl \
TEMPLATE_VARS += "KERNEL_NAME KERNEL_TYPE KERNEL_IMAGE_PKG KERNEL_HEADERS_PKG DEBIAN_BUILD_DEPENDS PN"
do_prepare_build() {
+ rm -rf ${S}/debian
cp -r ${WORKDIR}/debian ${S}/
for module in ${AUTOLOAD}; do
[-- Attachment #3: 0001-bugfix-isar-exclude-docs-do-not-rm-man-folders-anymo.patch --]
[-- Type: text/x-diff, Size: 1165 bytes --]
From c0a96bce9cbaf93229a27ca6e5383c2ff09c8e77 Mon Sep 17 00:00:00 2001
From: "Roberto A. Foglietta" <roberto.foglietta@gmail.com>
Date: Thu, 22 Sep 2022 22:35:56 +0200
Subject: [PATCH 1/2] bugfix: isar-exclude-docs do not rm man folders anymore
bugfix: isar-exclude-docs delete man folders but some packages expect that folders.
solution: adopts the same approach used for the doc folder.
Signed-off-by: Roberto A. Foglietta <roberto.foglietta@gmail.com>
---
meta/recipes-support/isar-exclude-docs/files/postinst | 2 +-
1 file changed, 1 insertion(+), 1 deletion(-)
diff --git a/meta/recipes-support/isar-exclude-docs/files/postinst b/meta/recipes-support/isar-exclude-docs/files/postinst
index d34c04e..2a758de 100644
--- a/meta/recipes-support/isar-exclude-docs/files/postinst
+++ b/meta/recipes-support/isar-exclude-docs/files/postinst
@@ -3,5 +3,5 @@
# time and do not need to be "the first" package
# what we delete needs to be in sync with the dpkg configuration we ship
-rm -rf /usr/share/man/*
+find /usr/share/man/ ! -type d -exec rm -rf {} \;
find /usr/share/doc/ -type f ! -name "copyright" ! -name "changelog.*" -exec rm -rf {} \;
--
2.30.2
[-- Attachment #4: linux-module-postinst-generalisation.patch --]
[-- Type: text/x-diff, Size: 684 bytes --]
commit 3d21b05c14817e10797ca4de49e900b715d5940d
Author: Roberto A. Foglietta <roberto.foglietta.ext@siemens.com>
Date: Fri Sep 16 11:05:28 2022 +0000
linux-module postinst generalisation
Signed-off-by: Roberto A. Foglietta <roberto.foglietta@gmail.com>
diff --git a/meta/recipes-kernel/linux-module/files/debian/postinst b/meta/recipes-kernel/linux-module/files/debian/postinst
index ed9d312..0cd7308 100755
--- a/meta/recipes-kernel/linux-module/files/debian/postinst
+++ b/meta/recipes-kernel/linux-module/files/debian/postinst
@@ -1,2 +1,4 @@
#!/bin/sh
-depmod -a $(ls /lib/modules)
+for i in $(ls /lib/modules); do
+ sudo depmod -a $i
+ done 2>/dev/null || true
next prev parent reply other threads:[~2022-09-23 14:18 UTC|newest]
Thread overview: 10+ messages / expand[flat|nested] mbox.gz Atom feed top
2022-09-22 20:36 Roberto A. Foglietta
2022-09-22 21:31 ` Roberto A. Foglietta
2022-09-23 12:01 ` Henning Schild
2022-09-23 14:18 ` Roberto A. Foglietta [this message]
2022-09-23 14:39 ` Henning Schild
2022-09-23 8:06 ` Moessbauer, Felix
2022-09-23 9:31 ` Roberto A. Foglietta
2022-09-23 11:18 ` Henning Schild
2022-09-23 8:57 ` Henning Schild
2022-09-23 9:25 ` Henning Schild
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=CAJGKYO4DsO9JVHrQ9p2auP67crXKUTz5nFMu+CvE8HhbgjcijQ@mail.gmail.com \
--to=roberto.foglietta@gmail.com \
--cc=henning.schild@siemens.com \
--cc=isar-users@googlegroups.com \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox